﻿-- same as with the options, add this in a loader function
clcInfo.optionsCMLoaders[#(clcInfo.optionsCMLoaders) + 1] = function()
    -- don't load if class is wrong
    local _, class = UnitClass("player")
    if class ~= "WARRIOR" then return end
    
    local mod = clcInfo_Options.templates
    local defs = mod.defs
    local format = string.format
    
    local spells = {
        ["Heroic Strike"]	= 78,
        ["Inner Rage"]		= 1134,
        ["Recklessness"]    = 1719,
        ["Deadly Calm"]		= 85730,
    }
    -- get the real names
    local name
    for key, value in pairs(spells) do
        local name = GetSpellInfo(value)
        if not name then name = "Unknown Spell" end
        spells[key] = { id = value, name = name }
    end
    
    
    -- all
    --------------------------------------------------------------------------------
    --The following 2 add icons when rage reaches certain thresholds. 
    --In many cases it is better to judge the use of these abilities based on expected rage generation, rather than current rage.
    --Unfortunately that cant be coded in.
    -- Heroic Strike > 70 rage or when battle trance procs
    name = spells["Heroic Strike"].name
    mod:Add("icons", defs.CLASS_1, name, format([[
    local visible, texture, start, duration, enable, reversed, count, alpha = IconSpell("%s", true, ready)
    local battle_trance, _, _, _, _, _, _ = IconAura("HELPFUL|PLAYER", "player", "Battle Trance")
    if UnitPower("player") > 70  or battle_trance == true then
        return visible, texture, start, duration, enable, reversed, count, alpha 
    else
        return false, texture, start, duration, enable, reversed, count, alpha
    end]], name)
    )
    
    -- Inner Rage > 75 rage
    name = spells["Inner Rage"].name
    mod:Add("icons", defs.CLASS_1, name, format([[
    local visible, texture, start, duration, enable, reversed, count, alpha = IconSpell("%s", true, ready)
    if UnitPower("player") > 90 then
        return visible, texture, start, duration, enable, reversed, count, alpha 
    else
        return false, texture, start, duration, enable, reversed, count, alpha
    end]], name)
    )
    
    -- Deadly Calm
    name = spells["Deadly Calm"].name
    mod:Add("icons", defs.CLASS_1, name, format([[
    return IconSpell("%s")
    ]], name))

    -- Recklessness
    name = spells["Recklessness"].name
    mod:Add("icons", defs.CLASS_1, name, format([[
    return IconSpell("%s")
    ]], name))
    
    -- arms
    --------------------------------------------------------------------------------
    -- Arms Rotation
    mod:Add("icons", defs.CLASS_1, "Arms Rotation Current Ability", 'return IconArmsCurrent()')
    mod:Add("icons", defs.CLASS_1, "Arms Rotation Next Ability", 'IconArmsNext()')
    -- Cooldown tracking for abilities
   
end